[![PyPI package](https://img.shields.io/pypi/v/wc_sandbox.svg)](https://pypi.python.org/pypi/wc_sandbox)
[![Documentation](https://readthedocs.org/projects/wc_sandbox/badge/?version=latest)](https://docs.karrlab.org/wc_sandbox)
[![Test results](https://circleci.com/gh/KarrLab/wc_sandbox.svg?style=shield)](https://circleci.com/gh/KarrLab/wc_sandbox)
[![Test coverage](https://coveralls.io/repos/github/KarrLab/wc_sandbox/badge.svg)](https://coveralls.io/github/KarrLab/wc_sandbox)
[![Code analysis](https://api.codeclimate.com/v1/badges/c8e5e44b6d9b957ef0ec/maintainability)](https://codeclimate.com/github/KarrLab/wc_sandbox)
[![License](https://img.shields.io/github/license/KarrLab/wc_sandbox.svg)](LICENSE)
![Analytics](https://ga-beacon.appspot.com/UA-86759801-1/wc_sandbox/README.md?pixel)


# WC-Sandbox: Jupyter playground for whole-cell modeling

WC-Sandbox is a collection of Jupyter notebooks for learning about whole-cell modeling. The sandbox is available at [https://sandbox.karrlab.org](https://sandbox.karrlab.org).

## Installation
1. Install dependencies

    * [Pip](https://pip.pypa.io) >= 18.0
    * [Python](https://www.python.org) >= 3.6
    * Requirements for individual WC modeling tools. See [An Introduction to Whole-Cell Modeling](http://docs.karrlab.org/intro_to_wc_modeling/master/0.0.1/installation.html).

2. Install this package 

    * Install the latest release from PyPI
      ```
      pip install wc_sandbox
      ```

    * Install the latest revision from GitHub
      ```
      pip install git+git://github.com/KarrLab/wc_sandbox#egg=wc_sandbox
      ```

## Examples, tutorial, and documentation
Please see the [documentation](https://docs.karrlab.org/wc_sandbox).

## License
The package is released under the [MIT license](LICENSE).

## Development team
This package was developed by the [Karr Lab](https://www.karrlab.org) at the Icahn School of Medicine at Mount Sinai in New York, USA.

## Questions and comments
Please contact the [Karr Lab](https://www.karrlab.org) with any questions or comments.
